## dell-wireless-dkms 2.0

=== dell-wireless/Makefile ===
KVER?= $(shell uname -r)
obj-m 	+= dell-wireless.o

.PHONY: all clean

all:
	$(MAKE) -C /lib/modules/$(KVER)/build M=$(PWD)

clean:
	$(MAKE) -C /lib/modules/$(KVER)/build M=$(PWD) $@

=== debian/changelog ===
dell-wireless-dkms (2.0) trusty; urgency=medium

  * Import newer dell-wireless.c to address suspend issue. (LP: #1476906)

 -- Chen-Han Hsiao (Stanley) <stanley.hsiao@canonical.com>  Fri, 24 Jul 2015 15:03:16 +0800

dell-wireless-dkms (1.0somerville1) trusty; urgency=medium

  * Change modalias to fit acpi subtypes so that package could be searchable
  	by ubuntu-drivers.

 -- Chen-Han Hsiao (Stanley) <stanley.hsiao@canonical.com>  Mon, 06 Jul 2015 12:04:00 +0800

dell-wireless-dkms (1.0) trusty; urgency=low

  * Automatically packaged by DKMS.

 -- Chen-Han Hsiao (Stanley) <stanley.hsiao@canonical.com>  Tue, 09 Jun 2015 02:12:44 -0400

=== debian/control ===
Source: dell-wireless-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 3.8.1

Package: dell-wireless-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: dell-wireless driver in DKMS format.
XB-Modaliases: ${modaliases}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=dell-wireless
NAME=dell-wireless
VERSION=2.0

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
